Runtime

## org.eclipse.gmf.runtime.diagram.ui.l10n
Class SharedImages

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.l10n.SharedImages

public final class SharedImages
extends java.lang.Object

Bundle of all shared images available for other plugins. Image descriptors can be retrieved by referencing the public image descriptor variable directly. The public strings represent images that will be cached and can be retrieved using `SharedImages.get(String)` which should not be disposed by the client.

Field Summary
`static ImageDescriptor` `DESC_ERROR` Image descriptor for the error icon.
`static ImageDescriptor` `DESC_NOTE` Image descriptor for the note icon.
`static ImageDescriptor` `DESC_NOTE_ATTACHMENT` Image descriptor for the note attachment icon.
`static ImageDescriptor` `DESC_TEXT` Image descriptor for the text icon.
`static java.lang.String` `IMG_ERROR` The name of the error icon whose cached image is available by using `SharedImages.get(String)`
`static java.lang.String` `IMG_NOTE` The name of the note icon whose cached image is available by using `SharedImages.get(String)`
`static java.lang.String` `IMG_TEXT` The name of the text icon whose cached image is available by using `SharedImages.get(String)`

Constructor Summary
`SharedImages()`

Method Summary
`static Image` `get(java.lang.String imageName)` Gets an image from the image registry.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### IMG_ERROR

    public static final java.lang.String IMG_ERROR

  The name of the error icon whose cached image is available by using `SharedImages.get(String)`

  See Also:
    Constant Field Values

### IMG_NOTE

    public static final java.lang.String IMG_NOTE

  The name of the note icon whose cached image is available by using `SharedImages.get(String)`

  See Also:
    Constant Field Values

### IMG_TEXT

    public static final java.lang.String IMG_TEXT

  The name of the text icon whose cached image is available by using `SharedImages.get(String)`

  See Also:
    Constant Field Values

### DESC_ERROR

    public static final ImageDescriptor DESC_ERROR

  Image descriptor for the error icon.

### DESC_NOTE

    public static final ImageDescriptor DESC_NOTE

  Image descriptor for the note icon.

### DESC_TEXT

    public static final ImageDescriptor DESC_TEXT

  Image descriptor for the text icon.

### DESC_NOTE_ATTACHMENT

    public static final ImageDescriptor DESC_NOTE_ATTACHMENT

  Image descriptor for the note attachment icon.

Constructor Detail

### SharedImages

    public SharedImages()

Method Detail

### get

    public static Image get(java.lang.String imageName)

  Gets an image from the image registry. This image should not be disposed of, that is handled in the image registry. The image descriptor must have previously been cached in the image registry. The cached images for the public image names defined in this file can be retrieved using this method.

  Parameters:
    `imageName` - the full filename of the image
  Returns:
    the image or null if it has not been cached in the registry

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.